Bug 378661 - Kernel Panic: VFS unable to mount filesystem [NEEDINFO]
Kernel Panic: VFS unable to mount filesystem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 15:04 EST by PC-ente
Modified: 2009-01-09 00:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
snecklifter: needinfo? (pcente)


Attachments (Terms of Use)

  None (edit)
Description PC-ente 2007-11-12 15:04:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.8) Gecko/20071022 Ubuntu/7.10 (gutsy) Firefox/2.0.0.8

Description of problem:
I installed the kernel update with yum, made an Grub entry and tryed to boot the new kernel. Crashes instantly  at boot.



Version-Release number of selected component (if applicable):
2.6.23.1-49.fc8

How reproducible:
Always


Steps to Reproduce:
1. install kernel-update with yum
2. Menu Entry in Grub
3. Reboot

Actual Results:
The boot crashs with kernel panic 

Expected Results:
normal boot sequence 

Additional info:
Grub Menu Entry :

title		Fedora 8 neuer kernel

root		(hd0,0)

kernel		/vmlinuz-2.6.23.1-49.fc8 ro root=LABEL=/ rhgb quiet

initd		/initrd-2.6.23.1-49.fc8.img


Kernel Panic: 

kernel panic - not syncing: VFS: Unable to mount root fs on unknown block(0,0)
Comment 1 PC-ente 2007-11-12 15:13:10 EST
Hardware

MSI K8T Neo-V Motherboard 
http://global.msi.com.tw/index.php?func=proddesc&prod_no=159&maincat_no=1

SATA2 Segate HDD

fdisk -l
Platte /dev/sda: 250.0 GByte, 250059350016 Byte

255 Köpfe, 63 Sektoren/Spuren, 30401 Zylinder

Einheiten = Zylinder von 16065 × 512 = 8225280 Bytes

Disk identifier: 0x0008f024



   Gerät  boot.     Anfang        Ende     Blöcke   Id  System

/dev/sda1   *           1          61      489951   83  Linux

/dev/sda2              62         304     1951897+  82  Linux Swap / Solaris

/dev/sda3             305       27050   214837245    5  Erweiterte

/dev/sda5             305        4559    34178256   83  Linux

/dev/sda6            4560        8814    34178256   83  Linux

/dev/sda7            8815       27050   146480638+  83  Linux

[root@inferno ~]# 

Comment 2 Eric Sandeen 2007-11-19 13:19:19 EST
Can you verify that your root filesystem (sda[567]?) does indeed have the label
of "/" ?  It looks like it just cannot find the proper root device to mount.

-Eric
Comment 3 Christopher Brown 2008-02-07 14:01:27 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 4 Bug Zapper 2008-11-26 03:22:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:11:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.